org.eclipse.mat.inspections

## Class TopConsumers2Query

- java.lang.Object
- - org.eclipse.mat.inspections.TopConsumers2Query

All Implemented Interfaces:
  IQuery

    public class TopConsumers2Query
    extends Object
    implements IQuery

### Field Summary

Fields
`int[]` `objects`
`ISnapshot` `snapshot`
`int` `thresholdPercent`

### Constructor Summary

Constructors
Constructor and Description
`TopConsumers2Query()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### objects

    public int[] objects

#### thresholdPercent

    public int thresholdPercent

### Constructor Detail

#### TopConsumers2Query

    public TopConsumers2Query()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query